#
# Conditional build:
%bcond_without	javadoc		# don't build javadoc

%define		srcname		regexp
%include	/usr/lib/rpm/macros.java
Summary:	Java Regular Expression
Summary(pl.UTF-8):	Wyrażenia regularne do Javy
Name:		java-regexp
Version:	1.5
Release:	2
License:	Apache v2.0
Group:		Libraries/Java
Source0:	http://www.apache.org/dist/jakarta/regexp/source/jakarta-regexp-%{version}.tar.gz
# Source0-md5:	b941b8f4de297827f3211c2cb34af199
Patch0:		jakarta-regexp-build.patch
URL:		http://jakarta.apache.org/regexp/index.html
BuildRequires:	ant
BuildRequires:	jdk
BuildRequires:	jpackage-utils
BuildRequires:	rpm-javaprov
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	jre
Obsoletes:	jakarta-regexp
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Regexp is a 100% Pure Java Regular Expression package that was
graciously donated to the Apache Software Foundation by Jonathan
Locke. This package is intended to be an answer to a question we
commonly hear in the Java world: "Why isn't there a decent regular
expression package available for Java under a BSD-Style (ie: Apache)
license?"

%description -l pl.UTF-8
Regexp to pakiet obsługujący wyrażenia regularne napisany całkowicie w
czystej Javie. Został on łaskawie podarowany Apache Software
Foundation przez Jonathana Locke. Ten pakiet ma być odpowiedzią na
pytanie często słyszane w świecie Javy: "dlaczego nie ma przyzwoitego
pakietu obsługującego wyrażenia regularne w Javie na licencji typu
BSD?".

%package javadoc
Summary:	Java Regular Expression API documentation
Summary(pl.UTF-8):	Dokumentacja API javowych wyrażeń regularnych
Group:		Documentation
Requires:	jpackage-utils
Obsoletes:	jakarta-regexp-doc
Obsoletes:	jakarta-regexp-javadoc

%description javadoc
Java Regular Expression API documentation.

%description javadoc -l pl.UTF-8
Dokumentacja API javowych wyrażeń regularnych.

%prep
%setup -q -n jakarta-regexp-%{version}
%patch0 -p1
find -name "*.jar" -exec rm -f {} \;

%build
unset CLASSPATH || :
export JAVA_HOME="%{java_home}"
%ant jar %{?with_javadoc:javadocs}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_javadir}

install build/jakarta-regexp-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{srcname}-%{version}.jar
ln -sf %{srcname}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{srcname}.jar

# javadoc
%if %{with javadoc}
install -d $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
cp -R docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
ln -s %{srcname}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{srcname} # ghost symlink
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
ln -nfs %{srcname}-%{version} %{_javadocdir}/%{srcname}

%files
%defattr(644,root,root,755)
%doc LICENSE docs/*.html docs/*.txt
%{_javadir}/regexp-%{version}.jar
%{_javadir}/regexp.jar

%if %{with javadoc}
%files javadoc
%defattr(644,root,root,755)
%{_javadocdir}/%{srcname}-%{version}
%ghost %{_javadocdir}/%{srcname}
%endif
%changelog
* Sat Feb 01 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/java-regexp.git;a=log;h=master

* Sat Feb 01 2014 Elan Ruusamäe <glen@delfi.ee> c7317ce
- avoid self-obsoletes; drop old provides

* Wed Feb 09 2011 Jakub Bogusz <qboosh@pld-linux.org> 830bda1
- updated to 1.5

* Fri Apr 23 2010 pawelz <pawelz@pld-linux.org> 1d2462d
- Don't force specific jdk.

* Wed Apr 08 2009 pawelz <pawelz@pld-linux.org> 7273f3a
- P/O after rename

* Wed Apr 08 2009 pawelz <pawelz@pld-linux.org> faf9c47
- changed Name to java-regexp (waiting for server side copy)
- added jdk bconds
- added javadoc bcond
- unified

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> c83ed0d
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 62292bb
- converted to UTF-8

* Fri Dec 08 2006 Elan Ruusamäe <glen@pld-linux.org> c2aee4d
- -javadoc R: jpackage-utils for parent dirs; rel 2

* Wed May 24 2006 Jacek Konieczny <jajcus@pld-linux.org> f757b6c
- sanitize CLASSPATH and JAVA_HOME

* Wed May 24 2006 Jakub Bogusz <qboosh@pld-linux.org> 23ae064
- Obsoletes for jakarta-regexp-doc

* Wed May 24 2006 Jacek Konieczny <jajcus@pld-linux.org> 264c0d4
- BR: jpackage-utils, rpmbuild(macros) >= 1.300
- ExclusiveArch added for builders with JDK
- javadoc subpackage instead of doc subpackage, API docs moved to %{_javadocdir}

* Fri May 19 2006 Jacek Konieczny <jajcus@pld-linux.org> e3a1de9
- s/jakarta-ant/ant/ in BR

* Sun Aug 28 2005 Jakub Bogusz <qboosh@pld-linux.org> 7c7231b
- updated to 1.4, updated build patch

* Sun Aug 28 2005 Jakub Bogusz <qboosh@pld-linux.org> aed129c
- updated for 1.4

* Tue Dec 14 2004 Jan Rękorajski <baggins@pld-linux.org> 3ded948
- fixed files

* Tue Dec 14 2004 Jan Rękorajski <baggins@pld-linux.org> 62e445f
- fixed install

* Tue Dec 14 2004 Jan Rękorajski <baggins@pld-linux.org> a226605
- apply patch

* Tue Dec 14 2004 Jan Rękorajski <baggins@pld-linux.org> bb8d44a
- fix one stupid dir

* Tue Dec 14 2004 Jan Rękorajski <baggins@pld-linux.org> 8ba5dd6
- added build patch

* Tue Dec 14 2004 Jan Rękorajski <baggins@pld-linux.org> 5f4fc29
- fixed build

